org.apache.ignite.internal.processors.cache.query

## Class GridCacheQueryManager.CacheSqlIndexMetadata

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.GridCacheQueryManager.CacheSqlIndexMetadata

All Implemented Interfaces:
  Externalizable, Serializable, GridCacheSqlIndexMetadata

Enclosing class:
  GridCacheQueryManager<K,V>

    public static class GridCacheQueryManager.CacheSqlIndexMetadata
    extends Object
    implements GridCacheSqlIndexMetadata

Cache metadata index.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheSqlIndexMetadata()` Required by `Externalizable`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `descending(String field)` Gets order of the index for each indexed field.
`Collection<String>` `descendings()`
`Collection<String>` `fields()` Gets names of fields indexed by this index.
`String` `name()` Gets name of the index.
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`boolean` `unique()` Gets whether this is a unique index.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheSqlIndexMetadata

    public CacheSqlIndexMetadata()

Required by `Externalizable`.

### Method Detail

#### name

    public String name()

Gets name of the index.

Specified by:
  `name` in interface `GridCacheSqlIndexMetadata`
Returns:
  Index name.

#### fields

    public Collection<String> fields()

Gets names of fields indexed by this index.

Specified by:
  `fields` in interface `GridCacheSqlIndexMetadata`
Returns:
  Indexed fields names.

#### descending

    public boolean descending(String field)

Gets order of the index for each indexed field.

Specified by:
  `descending` in interface `GridCacheSqlIndexMetadata`
Parameters:
  `field` - Field name.
Returns:
  `True` if given field is indexed in descending order.

#### descendings

    public Collection<String> descendings()

Specified by:
  `descendings` in interface `GridCacheSqlIndexMetadata`
Returns:
  Descendings.

#### unique

    public boolean unique()

Gets whether this is a unique index.

Specified by:
  `unique` in interface `GridCacheSqlIndexMetadata`
Returns:
  `True` if index is unique, `false` otherwise.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020